@echo off
if not exist doom.wad goto error
if not exist dmgraph.exe goto error
if not exist %1\fs1.gif goto error
echo .
echo Inserting Custard Pie Launcher.....
@echo on
dmgraph misfa0 -s %1\fs1.gif -i -90,-87 -b
dmgraph misfb0 -s %1\fs2.gif -i -90,-87 -b
dmgraph misfc0 -s %1\fs3.gif -i -90,-87 -b
dmgraph misfd0 -s %1\fs4.gif -i -90,-87 -b
dmgraph misga0 -s %1\mam1.gif -i -90,-100 -b
dmgraph misgb0 -s %1\mam2.gif -i -90,-105 -b
dmgraph misla1 -s %1\pietop.gif -i 60,95 -b
dmgraph misla5 -s %1\pieback.gif -i 30,20 -b
dmgraph misla6a4 -s %1\pielt45.gif -i 46,95 -b
dmgraph misla7a3 -s %1\pieside.gif -i 21,95 -b
dmgraph misla8a2 -s %1\piert45.gif -i 49,95 -b
dmgraph mislb0 -s %1\cust1.gif -i 25,30 -b
dmgraph mislc0 -s %1\cust2.gif -i 25,30 -b
dmgraph misld0 -s %1\cust3.gif -i 25,30 -b
dmgraph rocka0 -s %1\pie.gif -b
dmgraph broka0 -s %1\piestack.gif -b
dmgraph launa0 -s %1\pielaunc.gif -b
@echo off
echo .
echo .
echo Any comments, ideas or (heaven forbid) complaints to Bernhard
echo kotzenb@itu.sun.ac.za. Hell, even if you just used this and 
echo liked it, E-mail me.    Happy Splatting
echo .
echo Restore the original files with uncust.bat.
goto end
:error
@echo off
echo This batch file needds to be in your DOOM directory
echo along with dmgraph.exe. Also, use parameter pointing
echo to sub-directory containing graphics patch files.
echo EG: cust c:\doom\custard
:end
@echo on